| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcRequest Class Referenceabstract

An interface with generic RPC requests functionality. More...

`#include <RpcRequest.hpp>`

## Public Member Functions

virtual | ~RpcRequest () noexcept=default
| Destructor.
virtual const eprosima::fastdds::rtps::GUID_t & | get_client_id () const =0
| Get the GUID of the client that made the request.
virtual const eprosima::fastdds::rtps::RemoteLocatorList & | get_client_locators () const =0
| Get the locators of the client that made the request.

## Detailed Description

An interface with generic RPC requests functionality.

## Constructor & Destructor Documentation

## ◆ ~RpcRequest()

virtual ~RpcRequest | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ get_client_id()

virtual const eprosima::fastdds::rtps::GUID_t & get_client_id | ( |  | ) | const

pure virtual

Get the GUID of the client that made the request.

Returns
  The GUID of the client that made the request.

## ◆ get_client_locators()

virtual const eprosima::fastdds::rtps::RemoteLocatorList & get_client_locators | ( |  | ) | const

pure virtual

Get the locators of the client that made the request.

Returns
  The locators of the client that made the request.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/interfaces/RpcRequest.hpp